package com.malk.aiwei.service;

import java.util.Map;

public interface AWClint {

    /**
     * 交付物审批
     */
    void doApprove(Map data);

    /**
     * 交付物审批回调
     */
    void approved(Map data);

    /**
     * 检查项check
     */
    Map doCheck(String taskId, boolean isTask);

    /**
     * 检查项回调
     */
    void checked(Map data);

    /**
     * 同步项目主数据
     */
    Map syncProject(String projectCode);

    /**
     * 通过模板创建项目
     */
    void createProject(String projectCode, String templateId);

    /**
     * 分配项目角色 prd 若是一人直接指定, 多人情况下忽略
     */
    void updateProjectRole(String projectId);
}
